=== UI/frontend-plugins/CMakeLists.txt ===
add_subdirectory(frontend-tools)
