=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: obs-studio
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Carl Fürstenberg <azatoth@gmail.com>,
  Sebastian Ramacher <sramacher@debian.org>
@@ -37,7 +37,7 @@
  libvlc-dev,
  qtbase5-dev,
  python-docutils (>= 0.6)
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://obsproject.com
 Vcs-Browser: https://salsa.debian.org/multimedia-team/obs-studio
 Vcs-Git: https://salsa.debian.org/multimedia-team/obs-studio.git
